<div>
  <div class="header">
    <h1>Products</h1>
  </div>

  <div class="content">
    <nav class="nav">
      <input id="search" type="text" class="input" placeholder="search" />
      <p><b>Category</b></p>
      <select id="category-select" class="input">
        <option value="All">All</option>
      </select>
      <p><b>Price</b></p>
      <input
        id="range-input"
        type="range"
        class="input"
        min="1"
        max="2000"
        value="2000"
      />
      <p>Value: $<span id="range-output"></span></p>

      <input
        type="button"
        id="apply-filters-button"
        value="Search"
        class="input"
      />
    </nav>
    <main id="products-container" class="main"></main>
  </div>
</div>

<style>
  .header {
    width: 100%;
  }

  .content {
    display: flex;
    flex-direction: row;
  }

  .nav {
    width: 200px;
    display: flex;
    flex-flow: column nowrap;
  }

  .main {
    width: calc(100% - 200px);
    display: flex;
    flex-wrap: wrap;
  }

  .input {
    max-width: 150px;
    height: 30px;
    border-radius: 10px;
    border: 1px solid black;
  }
</style>
